Subject: Re: [PATCH v4] fuzz: reorganise the path for existing oss-fuzz fuzzers

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Sep 2022 09:38:02 -0700

"Arthur Chan via GitGitGadget" <[email-masked]> writes:

> From: Arthur Chan <[email-masked]>
>
> This patch is aimed to provide a better organisation for oss-fuzz
> fuzzers and to avoid top-level clustters in the git repository when
> more fuzzers are introduced. In addition, grouping the fuzzers into
> their own directory separate their application on fuzz-testing from
> the core functionalities of the git code. It also provide better
> and tidier structure the oss-fuzz fuzzing library to manage, locate,
> build and execute those fuzzers for fuzz-testing purposes in future
> development.
>
> A new direrctory oss-fuzz has been created and existing fuzzers are
> moved into the new directory. Makefile and .gitignore have been
> fixed accordingly.
>
> CC: Josh Steadmon <[email-masked]>
> CC: David Korczynski <[email-masked]>
> Signed-off-by: Arthur Chan <[email-masked]>
> ---

Thanks.  Will queue with a bit of rephrasing of the above.